Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.ref
Class WeakReference

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.WeakReference

public class WeakReference
extends Reference

Weak reference objects, which do not prevent their referents from being made finalizable, finalized, and then reclaimed. Weak references are most often used to implement canonicalizing mappings.

Suppose that the garbage collector determines at a certain point in time that an object is weakly reachable. At that time it will atomically clear all weak references to that object and all weak references to any other weakly-reachable objects from which that object is reachable through a chain of strong and soft references. At the same time it will declare all of the formerly weakly-reachable objects to be finalizable. At the same time or at some later time it will enqueue those newly-cleared weak references that are registered with reference queues.

Since:
  1.2

Constructor Summary
`WeakReference(Object referent)` Creates a new weak reference that refers to the given object.
`WeakReference(Object referent, ReferenceQueue q)` Creates a new weak reference that refers to the given object and is registered with the given queue.

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, get, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakReference

    public WeakReference(Object referent)

  Creates a new weak reference that refers to the given object. The new reference is not registered with any queue.

Parameters:
  `referent` - object the new weak reference will refer to

### WeakReference

    public WeakReference(Object referent,
                         ReferenceQueue q)

  Creates a new weak reference that refers to the given object and is registered with the given queue.

Parameters:
  `referent` - object the new weak reference will refer to
  `q` - queue the weak reference is registered with
Throws:
  `NullPointerException` - If the `queue` argument is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.